NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::AddendumSectionUserDefinedBuilder Class Reference

Represents a NXOpen::Die::AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape. More...

Inheritance diagram for NXOpen::Die::AddendumSectionUserDefinedBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::CurveCreateUserDefinedSection ()
 Creates user defined addendum section based upon input to NXOpen::Die::AddendumSectionUserDefinedBuilder::Section . More...
 
bool ReverseAnchorPoint ()
 Returns the indicator to reverse the anchor point. More...
 
NXOpen::SectionSection ()
 Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape. More...
 
void SetReverseAnchorPoint (bool reverseAnchorPoint)
 Sets the indicator to reverse the anchor point. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Die::AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape.


To create a new instance of this class, use NXOpen::Die::DieCollection::CreateAddendumSectionUserDefinedBuilder

Created in NX7.5.0.

Member Function Documentation

NXOpen::Curve* NXOpen::Die::AddendumSectionUserDefinedBuilder::CreateUserDefinedSection ( )

Creates user defined addendum section based upon input to NXOpen::Die::AddendumSectionUserDefinedBuilder::Section .

Returns
user defined section curve
Created in NX7.5.0.

License requirements : None
bool NXOpen::Die::AddendumSectionUserDefinedBuilder::ReverseAnchorPoint ( )

Returns the indicator to reverse the anchor point.

The anchor point is initially the first point of the joined string of selected objects. This is used as the starting point for the section when it is placed on the tangency curve. It can be reversed to use the other end of the string as the starting point.


Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Die::AddendumSectionUserDefinedBuilder::Section ( )

Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionUserDefinedBuilder::SetReverseAnchorPoint ( bool  reverseAnchorPoint)

Sets the indicator to reverse the anchor point.

The anchor point is initially the first point of the joined string of selected objects. This is used as the starting point for the section when it is placed on the tangency curve. It can be reversed to use the other end of the string as the starting point.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
reverseAnchorPointreverseanchorpoint

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.